Bug 426242 - Slow reactivity of vnc server
Slow reactivity of vnc server
Product: Fedora
Classification: Fedora
Component: vnc (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Adam Tkac
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-12-19 10:11 EST by Patrick Monnerat
Modified: 2013-04-30 19:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-12-02 13:11:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Patrick Monnerat 2007-12-19 10:11:37 EST
Description of problem:
vnc server has sometimes slow response to some key typing and/or mouse click.
This is not related to a network problem: it happens even when using a local 
client connecting to localhost.
The reactivity delay can be up to 5 seconds and the problem seems to occur 
randomly (but with high probability rate).

Version-Release number of selected component (if applicable):

How reproducible:
Seems random, but easy to reproduce by working a few seconds from a vnc client.

Steps to Reproduce:
1. Start a vnc server
2. Connect to it from any client/OS/host
3. Start working...: you will soon find it very uncomfortable !

Actual results:
As expected, but slow.

Expected results:
Good reactivity.

Additional info:
_ Sometimes the screen refresh is slow (even when vnc is connected thru 

_ This might be related: when starting wireshark from vnc, the plugin scan at 
startup lasts more than 5 minutes, displaying each plugin name very slowly.
To reproduce:
1. From vnc, type xhost + in a terminal
2. Start wireshark from the menu, entering the root password if needed.
3. Wait...

The problem does not occur when connecting to non-fedora8 vnc-servers using the 
same clients as those used for the above mentioned tests.
Comment 1 Adam Tkac 2008-01-21 07:58:37 EST
Hm, I'm not able reproduce this one. Do you have specific configuration? I
simply installed and started vnc server and it works as expected.
Comment 2 Patrick Monnerat 2008-01-21 08:43:11 EST
The configuration I use is dynamic vnc:
_ XDMCP enabled
_ File /etc/xinetd.d/vnc-1024x768x24
service vnc-1024x768x24
 socket_type = stream
 wait = no
 user = root
 log_on_failure += USERID
 server = /usr/bin/Xvnc
 server_args = -inetd -once -query localhost -geometry 1024x768 -dpi 100 -depth 
24 -securitytypes=none -render
 disable = no
_ Add "vnc-1024x768x24 5926/tcp" to /etc/services

_ Connect with "vncviewer host:26"

... but I also have the same problem when starting a static server manually 
(command vncserver).

Clicking and moving the mouse around, as well as typing ahead improve response. 
It seems there is some output buffering that is not flushed when no input event 

This problem occurs on ALL installations I've made, regardless of hardware 
and/or other configuration or specific computer use.
Comment 3 Patrick Monnerat 2008-07-08 13:20:29 EDT
I found a way to reproduce: the following recipe exhibits the above case with a 
100% probability:

_ Start a vnc session, make sure meld package is installed (yum install meld)
_ In this session, compare two text files of at least 100 lines (some of them 
~80 chars) using meld
_ Inside meld, make some changes to a file, move cursor around, some other 
changes, press shift, release it, etc. watch the reactivity to key pressure... 
although very few screen changes are required, the response time to key 
pressures may be up to several seconds ! This makes edition almost impossible 
and does not occur on a regular X server. I'm still working on a 100MHz, 
uncongestioned ethernet LAN, without any router between the client and the 
_ If you're still not convinced, try resizing the meld window some xy tiny 
pixels and note the refresh time... as already said, moving the mouse around 
improves the reactivity !

I also reproduce this behavior with the same probability with a (non-
opensourced, non-packaged) html editor written in java called "Arachnophilia" 

I hope this helps.
Many thanks for your attention
Comment 4 Bug Zapper 2008-11-26 04:04:36 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 5 Patrick Monnerat 2008-12-02 13:11:21 EST
Seems to be fixed in F10. Closing bug.

Note You need to log in before you can comment on or make changes to this bug.